curl --request GET \
--url https://api.synctera.com/v2/wires/incoming \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/wires/incoming"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/wires/incoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wires": [
{
"amount": 10000,
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_return": true,
"receiver": {
"account_number": 192178512,
"address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"address_lines": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>"
},
"alternate_identifier": 123456789,
"bank_name": "Synctera Bank",
"identifier_type": "Demand Deposit Account Number",
"name": "John Smith",
"routing_number": 272479663
},
"receiving_account_number": 1961234745,
"sender": {
"account_number": 192178512,
"address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"address_lines": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>"
},
"alternate_identifier": 123456789,
"bank_name": "Synctera Bank",
"identifier_type": "Demand Deposit Account Number",
"name": "John Smith",
"routing_number": 272479663
},
"sender_reference_id": "9F564A6124E65",
"status": "READY",
"tenant": "abcdef_ghijkl",
"bank_message": "<string>",
"currency": "USD",
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"decline_reason": "<string>",
"effective_date": "2022-03-18",
"end_to_end_identification": "<string>",
"extracted_account_number": "1961234745",
"input_message_accountability_data": "10220318BANK0001123456",
"instruction_identification": "<string>",
"network": "fedwire",
"originating_account_number": 1961234745,
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"recipient_message": "<string>",
"return_data": {
"code": "R01",
"original_dfi_no": "364275034",
"original_trace": "123456780000069",
"dishonored_return_code": "69",
"dishonored_return_settlement_date": "256",
"dishonored_return_trace": "123456780000069",
"field_errors": "05",
"return_code": "13",
"return_settlement_date": "256",
"return_trace": "123456780000069"
},
"return_reason": "<string>",
"settlement_date": "2022-03-18",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_identification": "<string>",
"type_subtype": "BASIC_FUNDS_TRANSFER",
"uetr": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List incoming wires
Get paginated list of incoming wires
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Unique resource identifier
The status of the transaction
"PENDING,PARTCLEARED"
Optional query parameter to filter incoming wires by IMAD (Input Message Accountability Data)
"20250715B6B7HU2R012486"
Optional query parameter to filter incoming wires by OMAD (Output Message Accountability Data)
"20250715MMQFMP2300021707151048FT03"
Optional query parameter to filter incoming wires by UETR (Unique End-to-End Transaction Reference)
"5be434c4-f2c2-4f1f-8900-09c5c9d4e2d3"
Only display transactions with a posting date greater than from_date
Only display transactions with a posting date less than or equal to to_date
Was this page helpful?

